summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sebastián Salazar Molina2012-04-30 02:54:46 +0200
committer Erik Hanson2012-04-30 07:40:07 +0200
commit50b5f7b3a2f9651b9170c5d9b7d80af39405a44a (patch)
tree6355e5469b406da2f08e381f2ec61377d8d95bc2
parent58ba9651befff1d94b40d94b81ad78912d802a3c (diff)
downloadslackbuilds-50b5f7b3a2f9651b9170c5d9b7d80af39405a44a.tar.gz
misc/itstool: Added (Translate XML documents with PO files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--misc/itstool/README4
-rw-r--r--misc/itstool/itstool.SlackBuild80
-rw-r--r--misc/itstool/itstool.info10
-rw-r--r--misc/itstool/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/misc/itstool/README b/misc/itstool/README
new file mode 100644
index 0000000000..1709a23fad
--- /dev/null
+++ b/misc/itstool/README
@@ -0,0 +1,4 @@
+ITS Tool allows you to translate your XML documents with PO
+files, using rules from the W3C Internationalization Tag Set
+(ITS) to determine what to translate and how to separate it
+into PO file messages.
diff --git a/misc/itstool/itstool.SlackBuild b/misc/itstool/itstool.SlackBuild
new file mode 100644
index 0000000000..85def0258f
--- /dev/null
+++ b/misc/itstool/itstool.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for itstool
+
+# Written by Sebastián Salazar Molina <sebastian@sebastian.cl>
+# All rights reserved.
+#
+
+
+PRGNAM=itstool
+VERSION=1.1.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING.GPL3 ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/itstool/itstool.info b/misc/itstool/itstool.info
new file mode 100644
index 0000000000..2f89a231c0
--- /dev/null
+++ b/misc/itstool/itstool.info
@@ -0,0 +1,10 @@
+PRGNAM="itstool"
+VERSION="1.1.2"
+HOMEPAGE="http://itstool.org"
+DOWNLOAD="http://files.itstool.org/itstool/itstool-1.1.2.tar.bz2"
+MD5SUM="eb65689a98508a36a0fc778af2c22858"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Sebastián Salazar Molina"
+EMAIL="sebastian@sebastian.cl"
+APPROVED="dsomero"
diff --git a/misc/itstool/slack-desc b/misc/itstool/slack-desc
new file mode 100644
index 0000000000..937c49bedd
--- /dev/null
+++ b/misc/itstool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+itstool: itstool (Translate XML documents with PO files)
+itstool:
+itstool: ITS Tool allows you to translate your XML documents with PO
+itstool: files, using rules from the W3C Internationalization Tag Set
+itstool: (ITS) to determine what to translate and how to separate it
+itstool: into PO file messages.
+itstool:
+itstool: Homepage: http://itstool.org/
+itstool:
+itstool:
+itstool: